### Copenhagen Truck Wash API Help

# Validate a customer password reset key

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /auth/password-reset/validate

## Operation

Operation ID: `validatePasswordResetToken`

Check if a password reset token is valid and hasn&#x27;t expired

## Authentication

No authentication required.

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
token | query | yes | string | The password reset token

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Token is valid | application/json
404 | Invalid or expired token | application/json

Schema for response `200` (`application/json`):

{ "properties": { "customer_id": { "type": "integer" }, "valid": { "type": "boolean" } }, "type": "object" }

Schema for response `404` (`application/json`):

{ "$ref": "#/components/schemas/Error" }
17 March 2026